summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2015-07-07 14:11:37 +0000
committerIan Stakenvicius <axs@gentoo.org>2015-07-07 14:11:37 +0000
commit7da12d6f979e60ed85544e42b37eae9b6a335245 (patch)
tree1c5a3a900f4aeda08f0e3ce810a6d093d0482e7b /eclass
parentrm old (diff)
downloadhistorical-7da12d6f979e60ed85544e42b37eae9b6a335245.tar.gz
historical-7da12d6f979e60ed85544e42b37eae9b6a335245.tar.bz2
historical-7da12d6f979e60ed85544e42b37eae9b6a335245.zip
removed old mozconfig eclasses, added new
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog7
-rw-r--r--eclass/mozconfig-v6.38.eclass (renamed from eclass/mozconfig-v5.33.eclass)52
-rw-r--r--eclass/mozconfig-v6.39.eclass (renamed from eclass/mozconfig-v4.31.eclass)98
3 files changed, 111 insertions, 46 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index ce63ea71a085..45f685302a45 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1702 2015/07/06 16:48:21 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1703 2015/07/07 14:11:37 axs Exp $
+
+ 07 Jul 2015; Ian Stakenvicius (_AxS_) <axs@gentoo.org>
+ -mozconfig-v4.31.eclass, -mozconfig-v5.33.eclass, +mozconfig-v6.38.eclass,
+ +mozconfig-v6.39.eclass:
+ removed old mozconfig eclasses, added new
06 Jul 2015; William Hubbs <williamh@gentoo.org> golang-build.eclass:
Add back the subslot operator in the dependency on Go. We need this so that
diff --git a/eclass/mozconfig-v5.33.eclass b/eclass/mozconfig-v6.38.eclass
index dd4ee052d813..8e4ca317e76b 100644
--- a/eclass/mozconfig-v5.33.eclass
+++ b/eclass/mozconfig-v6.38.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v5.33.eclass,v 1.5 2015/05/28 06:37:16 polynomial-c Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v6.38.eclass,v 1.1 2015/07/07 14:11:37 axs Exp $
#
# @ECLASS: mozconfig-v5.33.eclass
# @MAINTAINER:
@@ -21,8 +21,7 @@
inherit multilib flag-o-matic toolchain-funcs mozcoreconf-v3
case ${EAPI} in
- 0|1|2|3|4) die "EAPI=${EAPI} not supported" ;;
- *) die "This eclass has been disabled and will be removed on 2015-06-30. If you need it, copy to your overlay and remove this line." ;;
+ 0|1|2|3|4) die "EAPI=${EAPI} not supported"
esac
# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
@@ -46,7 +45,7 @@ esac
# Set the variable to any value if the use flag should exist but not be default-enabled.
# use-flags common among all mozilla ebuilds
-IUSE="${IUSE} dbus debug gstreamer pulseaudio selinux startup-notification system-cairo system-icu system-jpeg system-sqlite system-libvpx"
+IUSE="${IUSE} dbus debug gstreamer gstreamer-0 +jemalloc3 pulseaudio selinux startup-notification system-cairo system-icu system-jpeg system-sqlite system-libvpx"
# some notes on deps:
# gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 2.14
@@ -54,12 +53,13 @@ IUSE="${IUSE} dbus debug gstreamer pulseaudio selinux startup-notification syste
RDEPEND=">=app-text/hunspell-1.2
dev-libs/atk
+ dev-libs/expat
>=dev-libs/libevent-1.4.7
>=x11-libs/cairo-1.10[X]
- >=x11-libs/gtk+-2.14:2
+ >=x11-libs/gtk+-2.18:2
x11-libs/gdk-pixbuf
>=x11-libs/pango-1.22.0
- >=media-libs/libpng-1.6.10:0=[apng]
+ >=media-libs/libpng-1.6.16:0=[apng]
>=media-libs/mesa-10.2:*
media-libs/fontconfig
>=media-libs/freetype-2.4.10
@@ -71,25 +71,28 @@ RDEPEND=">=app-text/hunspell-1.2
startup-notification? ( >=x11-libs/startup-notification-0.8 )
>=dev-libs/glib-2.26:2
>=sys-libs/zlib-1.2.3
- virtual/libffi
+ >=virtual/libffi-3.0.10
gstreamer? (
>=media-libs/gstreamer-1.2.3:1.0
>=media-libs/gst-plugins-base-1.2.3:1.0
>=media-libs/gst-plugins-good-1.2.3:1.0
>=media-plugins/gst-plugins-libav-1.1.0_pre20130128-r1:1.0
)
+ gstreamer-0? (
+ media-plugins/gst-plugins-meta:0.10[ffmpeg]
+ )
x11-libs/libX11
x11-libs/libXcomposite
x11-libs/libXdamage
- x11-libs/libXfixes
x11-libs/libXext
+ x11-libs/libXfixes
x11-libs/libXrender
x11-libs/libXt
system-cairo? ( >=x11-libs/cairo-1.12[X] >=x11-libs/pixman-0.19.2 )
- system-icu? ( >=dev-libs/icu-51.1 )
+ system-icu? ( >=dev-libs/icu-51.1:= )
system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
- system-sqlite? ( >=dev-db/sqlite-3.8.5:3[secure-delete,debug=] )
- system-libvpx? ( =media-libs/libvpx-1.3.0*[postproc] )
+ system-sqlite? ( >=dev-db/sqlite-3.8.8.2:3[secure-delete,debug=] )
+ system-libvpx? ( >=media-libs/libvpx-1.3.0[postproc] )
"
if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]]; then
@@ -141,7 +144,8 @@ mozconfig_config() {
mozconfig_annotate 'system_libs' \
--with-system-zlib \
--enable-pango \
- --enable-svg
+ --enable-svg \
+ --with-system-bz2
mozconfig_annotate '' --enable-default-toolkit=cairo-gtk2
@@ -157,6 +161,8 @@ mozconfig_config() {
if ! use debug ; then
mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+ else
+ mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
fi
mozconfig_use_enable startup-notification
@@ -181,7 +187,6 @@ mozconfig_config() {
if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
mozconfig_use_enable jit ion
- mozconfig_use_enable jit yarr-jit
fi
# These are enabled by default in all mozilla applications
@@ -201,17 +206,24 @@ mozconfig_config() {
mozconfig_annotate 'Gentoo default to honor system linker' --disable-gold
mozconfig_annotate '' --disable-gconf
- # We must force-enable jemalloc 3 via .mozconfig
- # Except this doesn't actually enable jemalloc3.
- echo "export MOZ_JEMALLOC=1" >> "${S}"/.mozconfig || die
- mozconfig_annotate '' --enable-jemalloc
- mozconfig_annotate '' --enable-replace-malloc
+ # Use jemalloc unless libc is not glibc >= 2.4
+ # at this time the minimum glibc in the tree is 2.9 so we should be safe.
+ if use elibc_glibc && use jemalloc3; then
+ # We must force-enable jemalloc 3 via .mozconfig
+ echo "export MOZ_JEMALLOC3=1" >> "${S}"/.mozconfig || die
+ mozconfig_annotate '' --enable-jemalloc
+ mozconfig_annotate '' --enable-replace-malloc
+ fi
mozconfig_annotate '' --target="${CTARGET:-${CHOST}}"
mozconfig_annotate '' --build="${CTARGET:-${CHOST}}"
- if use gstreamer; then
- mozconfig_annotate '+gstreamer' --enable-gstreamer=1.0
+ if use gstreamer || use gstreamer-0 ; then
+ if use gstreamer-0 ; then
+ mozconfig_annotate '+gstreamer-0' --enable-gstreamer=0.10
+ else
+ mozconfig_annotate '+gstreamer' --enable-gstreamer=1.0
+ fi
else
mozconfig_annotate '' --disable-gstreamer
fi
diff --git a/eclass/mozconfig-v4.31.eclass b/eclass/mozconfig-v6.39.eclass
index acc62fdfa9de..151691497109 100644
--- a/eclass/mozconfig-v4.31.eclass
+++ b/eclass/mozconfig-v6.39.eclass
@@ -1,14 +1,27 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v4.31.eclass,v 1.2 2015/06/13 00:35:35 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v6.39.eclass,v 1.1 2015/07/07 14:11:37 axs Exp $
#
-# mozconfig-v4.1.eclass: the new mozilla.eclass
+# @ECLASS: mozconfig-v5.33.eclass
+# @MAINTAINER:
+# mozilla team <mozilla@gentoo.org>
+# @BLURB: the new mozilla common configuration eclass for FF33 and newer, v5
+# @DESCRIPTION:
+# This eclass is used in mozilla ebuilds (firefox, thunderbird, seamonkey)
+# to provide a single common place for the common mozilla engine compoments.
+#
+# The eclass provides all common dependencies as well as common use flags.
+#
+# Some use flags which may be optional in particular mozilla packages can be
+# supported through setting eclass variables.
+#
+# This eclass inherits mozconfig helper functions as defined in mozcoreconf-v3,
+# and so ebuilds inheriting this eclass do not need to inherit that.
-inherit multilib flag-o-matic toolchain-funcs mozcoreconf-2
+inherit multilib flag-o-matic toolchain-funcs mozcoreconf-v3
case ${EAPI} in
- 0|1|2|3|4) die "EAPI=${EAPI} not supported" ;;
- *) die "This eclass has been disabled and will be removed on 2015-06-30. If you need it, copy to your overlay and remove this line." ;;
+ 0|1|2|3|4) die "EAPI=${EAPI} not supported"
esac
# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
@@ -32,7 +45,7 @@ esac
# Set the variable to any value if the use flag should exist but not be default-enabled.
# use-flags common among all mozilla ebuilds
-IUSE="dbus debug gstreamer pulseaudio startup-notification system-cairo system-icu system-jpeg system-sqlite"
+IUSE="${IUSE} dbus debug gstreamer gstreamer-0 +jemalloc3 pulseaudio selinux startup-notification system-cairo system-icu system-jpeg system-sqlite system-libvpx"
# some notes on deps:
# gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 2.14
@@ -43,11 +56,10 @@ RDEPEND=">=app-text/hunspell-1.2
dev-libs/expat
>=dev-libs/libevent-1.4.7
>=x11-libs/cairo-1.10[X]
- >=x11-libs/gtk+-2.14:2
+ >=x11-libs/gtk+-2.18:2
x11-libs/gdk-pixbuf
>=x11-libs/pango-1.22.0
- >=media-libs/libpng-1.6.10:0=[apng]
- >=media-libs/libvpx-1.3.0
+ >=media-libs/libpng-1.6.16:0=[apng]
>=media-libs/mesa-10.2:*
media-libs/fontconfig
>=media-libs/freetype-2.4.10
@@ -58,16 +70,30 @@ RDEPEND=">=app-text/hunspell-1.2
>=dev-libs/dbus-glib-0.72 )
startup-notification? ( >=x11-libs/startup-notification-0.8 )
>=dev-libs/glib-2.26:2
- virtual/libffi
- gstreamer? ( media-plugins/gst-plugins-meta:1.0[ffmpeg] )
+ >=sys-libs/zlib-1.2.3
+ >=virtual/libffi-3.0.10
+ gstreamer? (
+ >=media-libs/gstreamer-1.2.3:1.0
+ >=media-libs/gst-plugins-base-1.2.3:1.0
+ >=media-libs/gst-plugins-good-1.2.3:1.0
+ >=media-plugins/gst-plugins-libav-1.1.0_pre20130128-r1:1.0
+ )
+ gstreamer-0? (
+ >=media-libs/gstreamer-0.10.25:0.10
+ media-plugins/gst-plugins-meta:0.10[ffmpeg]
+ )
x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
x11-libs/libXext
+ x11-libs/libXfixes
x11-libs/libXrender
x11-libs/libXt
system-cairo? ( >=x11-libs/cairo-1.12[X] >=x11-libs/pixman-0.19.2 )
- system-icu? ( >=dev-libs/icu-51.1 )
+ system-icu? ( >=dev-libs/icu-51.1:= )
system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
- system-sqlite? ( >=dev-db/sqlite-3.8.4.2:3[secure-delete,debug=] )
+ system-sqlite? ( >=dev-db/sqlite-3.8.9:3[secure-delete,debug=] )
+ system-libvpx? ( >=media-libs/libvpx-1.3.0[postproc] )
"
if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]]; then
@@ -91,10 +117,15 @@ fi
DEPEND="app-arch/zip
app-arch/unzip
- virtual/pkgconfig
>=sys-devel/binutils-2.16.1
${RDEPEND}"
+RDEPEND+="
+ selinux? ( sec-policy/selinux-mozilla )"
+
+# only one of gstreamer and gstreamer-0 can be enabled at a time, so set REQUIRED_USE to signify this
+REQUIRED_USE="?? ( gstreamer gstreamer-0 )"
+
# @FUNCTION: mozconfig_config
# @DESCRIPTION:
# Set common configure options for mozilla packages.
@@ -102,7 +133,7 @@ DEPEND="app-arch/zip
#
# Example:
#
-# inherit mozconfig-v4
+# inherit mozconfig-v5.33
#
# src_configure() {
# mozconfig_init
@@ -113,6 +144,12 @@ DEPEND="app-arch/zip
# }
mozconfig_config() {
+ # Migrated from mozcoreconf-2
+ mozconfig_annotate 'system_libs' \
+ --with-system-zlib \
+ --enable-pango \
+ --enable-svg \
+ --with-system-bz2
mozconfig_annotate '' --enable-default-toolkit=cairo-gtk2
@@ -128,6 +165,8 @@ mozconfig_config() {
if ! use debug ; then
mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+ else
+ mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
fi
mozconfig_use_enable startup-notification
@@ -146,12 +185,12 @@ mozconfig_config() {
mozconfig_annotate 'disabled' --disable-necko-wifi
fi
+ # These are forced-on for webm support
mozconfig_annotate 'required' --enable-ogg
mozconfig_annotate 'required' --enable-wave
if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
mozconfig_use_enable jit ion
- mozconfig_use_enable jit yarr-jit
fi
# These are enabled by default in all mozilla applications
@@ -161,26 +200,34 @@ mozconfig_config() {
mozconfig_annotate '' --with-system-libevent="${EPREFIX}"/usr
mozconfig_annotate '' --prefix="${EPREFIX}"/usr
mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
- mozconfig_annotate '' --enable-system-hunspell
+ mozconfig_annotate 'Gentoo default' --enable-system-hunspell
mozconfig_annotate '' --disable-gnomevfs
mozconfig_annotate '' --disable-gnomeui
mozconfig_annotate '' --enable-gio
mozconfig_annotate '' --disable-crashreporter
- mozconfig_annotate '' --with-system-png
+ mozconfig_annotate 'Gentoo default' --with-system-png
mozconfig_annotate '' --enable-system-ffi
- mozconfig_annotate '' --disable-gold
+ mozconfig_annotate 'Gentoo default to honor system linker' --disable-gold
mozconfig_annotate '' --disable-gconf
- # We must force enable jemalloc 3 threw .mozconfig
- echo "export MOZ_JEMALLOC=1" >> "${S}"/.mozconfig || die
- mozconfig_annotate '' --enable-jemalloc
- mozconfig_annotate '' --enable-replace-malloc
+ # Use jemalloc unless libc is not glibc >= 2.4
+ # at this time the minimum glibc in the tree is 2.9 so we should be safe.
+ if use elibc_glibc && use jemalloc3; then
+ # We must force-enable jemalloc 3 via .mozconfig
+ echo "export MOZ_JEMALLOC3=1" >> "${S}"/.mozconfig || die
+ mozconfig_annotate '' --enable-jemalloc
+ mozconfig_annotate '' --enable-replace-malloc
+ fi
mozconfig_annotate '' --target="${CTARGET:-${CHOST}}"
mozconfig_annotate '' --build="${CTARGET:-${CHOST}}"
- if use gstreamer; then
- mozconfig_annotate '+gstreamer' --enable-gstreamer=1.0
+ if use gstreamer || use gstreamer-0 ; then
+ if use gstreamer-0 ; then
+ mozconfig_annotate '+gstreamer-0' --enable-gstreamer=0.10
+ else
+ mozconfig_annotate '+gstreamer' --enable-gstreamer=1.0
+ fi
else
mozconfig_annotate '' --disable-gstreamer
fi
@@ -191,4 +238,5 @@ mozconfig_config() {
mozconfig_use_with system-jpeg
mozconfig_use_with system-icu
mozconfig_use_enable system-icu intl-api
+ mozconfig_use_with system-libvpx
}